import React from 'react';
import clsx from 'clsx';
import styles from './styles.module.css';
import Link from '@docusaurus/Link';
import useBaseUrl from '@docusaurus/useBaseUrl';

const Team = [
  {
    title: 'Rye Cogtail',
    portrait: '/author_img/rye.webp',
    slurl: 'https://my.secondlife.com/rye.cogtail',
    description: (
      <>
        Project Director
      </>
    ),
  },
  {
    title: 'Kayla',
    portrait: '/author_img/placeholder.png',
    slurl: 'https://my.secondlife.com/luminous.luminos',
    description: (
      <>
        DevOps Director
      </>
    ),
  },
  {
    title: 'Darl',
    portrait: '/author_img/placeholder.png',
    slurl: 'https://my.secondlife.com/unexpectedly.dismantled',
    description: (
      <>
        UX Director
      </>
    ),
  },
  {
    title: 'Cinder Roxley',
    portrait: '/author_img/placeholder.png',
    slurl: 'https://my.secondlife.com/cinder.roxley',
    description: (
      <>
        Developer
      </>
    ),
  },
  {
    title: 'Doug Falta',
    portrait: '/author_img/doug.webp',
    slurl: 'https://my.secondlife.com/doug.falta',
    description: (
      <>
        Developer
      </>
    ),
  },
  {
    title: 'Xenny Heartsong',
    portrait: '/author_img/xenny.webp',
    slurl: 'https://my.secondlife.com/xenny.heartsong',
    description: (
      <>
        Developer
      </>
    ),
  },
  {
    title: 'Zanibar Darkstone',
    portrait: '/author_img/zanibar.webp',
    slurl: 'https://my.secondlife.com/nagachief.darkstone',
    description: (
      <>
        Tech Artist
      </>
    ),
  },
];

function TeamMember({title, portrait, slurl, description}) {
  return (
    <div className={clsx('col col--4')}>
      <Link href={slurl}>
      <div className="text--center">
        <img src={useBaseUrl(portrait)} style={{width: 200, height: 200, borderRadius: 200/ 2}} />
      </div>
      <div className="text--center padding-horiz--md">
        <h3>{title}</h3>
      </div>
      </Link>
      <div className="text--center padding-horiz--md">
        <p>{description}</p>
      </div>
    </div>
  );
}

export default function TeamList() {
  return (
    <section className={styles.team}>
      <div className="container">
        <div className="row">
          {Team.map((props, idx) => (
            <TeamMember key={idx} {...props} />
          ))}
        </div>
      </div>
    </section>
  );
}
